{% extends "bases/modelo.html" %}
{% load static %}

{% block info%}
{% endblock %}


{% block conteudo %}
<div class="d-grid gap-2 px-2 mx-auto my-4" style="max-width: 540px;">
    <div class="card text-center bg-white bg-opacity-50" style="border: #ffffff; border-radius: 1;
    box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);" id="card-info">
    <div class="row ">
        <div class="col-md-4 mt-4">
            <img src="{{ object.imagem.url }}"  class="img-fluid p-1" style="max-width: 180px;" alt="...">
        </div>

        <div class="col-md-8">
        <div class="card-body">
            
            
            <h1>{{ object.nome }} <button class="btn btn-info " id='info-card-btn' type="button" onclick="location.href='/animals/update/{{animal.id}}/'"><i class='fas fa-pen'></i></button></h1>
            <p>Cor: {{ object.coloracao }}</p>
            <p>Raça: {{ object.raca }}</p>
            <p>Gênero: {{ object.genero }}</p>
            <p>Data de Nascimento: {{ object.data_nasc }}</p>

            <p>Peso: {{ Recente.peso|default:"N/A"  }}
                {% if Recente.peso_tipo|default:"N/A" == 'K' %}Kg{% else %}Gramas{% endif %} 
            </p>
            <p>
                Data pesagem: {{ Recente.data_pesagem|default:"N/A"|date:"d F Y"   }}
            </p>
            <button class="btn btn-dark-green" id='info-card-btn' type="button" onclick="location.href='/animals/{{animal.id}}/peso/form'"><i class="fas fa-balance-scale"></i> Adicionar Pesagem</button>
        </div>
        </div>
        </div>
    </div>
</div>
<div>

<div class="container">
    <div class="d-grid gap-2 px-2 mx-auto mb-3 mt-2" style="max-width: 540px;" >
        <div class="card text-center " style="border: transparent; background-color: transparent;"> 
            <button type="button" class="btn btn-sm btn-danger text-white" onclick="location.href='/animals/pdf/{{animal.id}}'" ><strong>Salvar PDF <i class="fas fa-file-pdf"></i></strong></button>
        </div>
    </div>
    
            <h3>Vacinas:</h3>
            <div class="card text-center bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
            box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">
            <div class="table-responsive"> 
            <table class="table">
                <thead class="thead-dark">
                    <tr>
                    <th scope="col">Nome</th>
                    <th scope="col">Atuação</th>
                    <th scope="col">Marca</th>
                    <th scope="col">Tipo</th>
                    <th scope="col">Fabricação</th>
                    <th scope="col">Expiração</th>
                    <th scope="col">Validade</th>
                    <th scope="col">Aplicado Data</th>
                    <th scope="col">Aprovado no Sistema</th>
                    <th scope="col">Editar</th>
                    <th scope="col">Deletar</th>

                    </tr>
                </thead>
            <tbody>
            {% for vacina in Vacina %}
                <tr>
                <td>{{ vacina.nome }} </td>
                <td>{{ vacina.atuacao }} </td>
                <td>{{ vacina.marca }} </td>
                <td>{{ vacina.tipo }} </td>
                <td>{{ vacina.fabricacao|date:"d F Y"  }} </td>
                <td>{{ vacina.expiracao|date:"d F Y" }} </td>
                <td>{{ vacina.validade|date:"d F Y"  }} </td>
                <td>{{ vacina.aplicado|date:"d F Y" }}</td>
                <td>
                    {% if vacina.aprovado == True %}
                    <i class="fas fa-check"></i>
                    {% else %}
                    <i class="fas fa-times"></i>
                    {% endif %}
                    
                
                </td>
                <td><i class='fas fa-pen' data-toggle="tooltip"
                    title="Editar" onclick="location.href='/vacine/update/{{animal.id}}/{{vacina.id}}/'"></i></td>
                <td><i class='fas fa-trash' data-toggle="tooltip"
                    title="Deletar" onclick="location.href='/vacine/delete/{{animal.id}}/{{vacina.id}}/'"></i></td>
                </tr>
            {% empty %}
        </tbody>
            <td>None<td>
            <td>Nenhuma vacina registrada.</td>
            {% endfor %}
            </table>
        </div>
        </div>
        <div class="d-grid gap-2 px-2 mx-auto mb-3 mt-2" style="max-width: 540px;" >
            <div class="card text-center " style="border: transparent; background-color: transparent;"> 
                <button type="button" class="btn btn-sm" onclick="location.href='/animals/{{animal.id}}/vacine/form'" id='info-card-btn'>Adicionar Vacina</button>
            </div>
        </div>

        <h3>Historico:</h3>

        <div class="card text-center bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
        box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">

        <div class="table-responsive"> 
            <table class="table">
                <thead class="thead-dark">
                <tr>
                    <th scope="col">Remedio</th>
                    <th scope="col">Definicao</th>
                    <th scope="col">Aplicado</th>
                    <th scope="col">Dose</th>
                    <th scope="col">Editar</th>
                    <th scope="col">Deletar</th>
                </tr>
            </thead>
            <tbody>
                {% for historico in Historico %}
                <tr>
                <td>
                    {{ historico.med_nome }}
                </td>
                <td>{{ historico.atuacao }}

                </td>
            
                <td>{{ historico.aplicado|date:"d F Y" }}</td>
                <td>{{ historico.quantidade }} {{ historico.quantidade_tipo }}</td>
                <td><i class='fas fa-pen' data-toggle="tooltip"
                    title="Editar" onclick="location.href='/historic/update/{{animal.id}}/{{historico.id}}'"></i></td>
                <td><i class='fas fa-trash' data-toggle="tooltip"
                    title="Deletar" onclick="location.href='/historic/delete/{{animal.id}}/{{historico.id}}'"></i></td>

                {% empty %}
                <td>None</td>
                <td>Nenhuma historico de medicamento registrado.</td>
                {% endfor %}
                </tr>
            </tbody>
            </table>
        </div>

    </div>
    <div class="d-grid gap-2 px-2 mx-auto mb-3 mt-2" style="max-width: 540px;" >
        <div class="card text-center " style="border: transparent; background-color: transparent;"> 
            <button type="button" class="btn btn-sm" onclick="location.href='/animals/{{animal.id}}/historic/form'" id='info-card-btn'>Adicionar Medicamento</button>
        </div>
    </div>   

    <h4>Pesos:</h4>

    <div class="card text-center mb-4 bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
    box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">

    <div class="table-responsive"> 
        <table class="table text-center">
            <thead class="thead-dark">
            <tr>
                <th scope="col">Peso</th>
                <th scope="col">Data_Pesagem</th>
                <th>editar</th>
            </tr>
        </thead>
        <tbody>
            {% for peso in Peso %}
            <tr>
            <td>
                {{ peso.peso }}
                {% if peso.peso_tipo == 'K' %}Kg{% else %}Gramas{% endif %}
            </td>
            
            <td>{{ peso.data_pesagem|date:"d F Y"   }}
            </td>
            <td>
                <td><i class='fas fa-pen' data-toggle="tooltip"
                    title="Editar" onclick="location.href='/peso/update/{{animal.id}}/{{peso.id}}'"></i></td>
            </td>
        
            {% empty %}
            <td>None</td>
            <td>Nenhuma peso registrado.</td>
            {% endfor %}
            </tr>
        </tbody>
        </table>
    </div></div>
</div>
    
</div>

{% endblock %}
